//
//  Picker.m
//  pickerviewDemo
//
//  Created by addcn on 16/8/29.
//  Copyright © 2016年 addcn. All rights reserved.
//

#import "Picker.h"

@interface Picker ()<UIScrollViewDelegate>

@property (strong, nonatomic) UIView * select;
@property (strong, nonatomic) UIScrollView * startTime;
@property (strong, nonatomic) UIScrollView * endTime;
@property (strong, nonatomic) UIView  * all;
@property (strong, nonatomic) UILabel * allText;
@property (strong, nonatomic) UISwitch * allSwithch;

@end

@implementation Picker

- (instancetype)initWithFrame:(CGRect)frame
{
    self = [super initWithFrame:frame];
    if (self) {
        
        self.select = [[UIView alloc] initWithFrame:CGRectMake(0, 0, frame.size.width, 120)];
        //[self.select setBackgroundColor:[UIColor greenColor]];
        [self addSubview:self.select];
        
        self.startTime = [[UIScrollView alloc] initWithFrame:CGRectMake(0, 0, frame.size.width/2, 120)];
        self.startTime.delegate = self;
        [self.select addSubview:self.startTime];
        
        self.endTime = [[UIScrollView alloc] initWithFrame:CGRectMake(frame.size.width/2, 0, frame.size.width/2, 120)];
        self.endTime.delegate = self;
        [self.select addSubview:self.endTime];
        
        [self addStart:frame];
        [self addEnd:frame];
        
        
        UILabel * label1 = [[UILabel alloc] initWithFrame:CGRectMake(frame.size.width/2-10, 0, 20, 40)];
        [label1 setText:@"~"];
        [label1 setTextAlignment:NSTextAlignmentCenter];
        [label1 setTextColor:[UIColor blackColor]];
        
        UILabel * label2 = [[UILabel alloc] initWithFrame:CGRectMake(frame.size.width/2-10, 40, 20, 40)];
        [label2 setText:@"~"];
        [label2 setTextAlignment:NSTextAlignmentCenter];
        [label2 setTextColor:[UIColor blackColor]];
        
        UILabel * label3 = [[UILabel alloc] initWithFrame:CGRectMake(frame.size.width/2-10, 80, 20, 40)];
        [label3 setText:@"~"];
        [label3 setTextAlignment:NSTextAlignmentCenter];
        [label3 setTextColor:[UIColor blackColor]];
        
        [self addSubview:label1];
        [self addSubview:label2];
        [self addSubview:label3];
        
        
        UIView * line1 = [[UIView alloc] initWithFrame:CGRectMake(0, 39, frame.size.width, 1)];
        [line1 setBackgroundColor:[UIColor grayColor]];
        [self addSubview:line1];
        
        UIView * line2 = [[UIView alloc] initWithFrame:CGRectMake(0, 79, frame.size.width, 1)];
        [line2 setBackgroundColor:[UIColor blackColor]];
        [self addSubview:line2];
        
        UIView * line3 = [[UIView alloc] initWithFrame:CGRectMake(0, 119, frame.size.width, 1)];
        [line3 setBackgroundColor:[UIColor grayColor]];
        [self addSubview:line3];
        
        
    }
    return self;
}

- (void)addStart:(CGRect)frame{
    
    for(NSInteger index = 0; index < 26; index++){
        
        
        NSString * title = @"";
        if(index != 0 && index != 25){
            if(index<10){
                title = [NSString stringWithFormat:@"0%ld:00",index];
            }else{
                title = [NSString stringWithFormat:@"%ld:00",index];
            }
        }
        UILabel * startTime = [[UILabel alloc] initWithFrame:CGRectMake(0, index*40, frame.size.width/2-10,40)];
        //[startTime setBackgroundColor:[UIColor redColor]];
        [startTime setText:title];
        startTime.tag = 10 + index;
        [startTime setTextAlignment:NSTextAlignmentCenter];
        [startTime setTextColor:[UIColor blackColor]];
        [self.startTime addSubview:startTime];
        
    }

    [self.startTime setContentSize:CGSizeMake(frame.size.width/2,40*26)];
}

- (void)addEnd:(CGRect)frame{

    
    for(NSInteger index = 0; index < 26; index++){
        NSString * title = @"";
        if(index != 0 && index != 25){
            if(index<10){
                title = [NSString stringWithFormat:@"0%ld:00",index];
            }else{
                title = [NSString stringWithFormat:@"%ld:00",index];
            }
        }        UILabel * endTime = [[UILabel alloc] initWithFrame:CGRectMake(10, index*40, frame.size.width/2,40)];
        [endTime setText:title];
        //[endTime setBackgroundColor:[UIColor redColor]];
        [endTime setTextAlignment:NSTextAlignmentCenter];
        [endTime setTextColor:[UIColor blackColor]];
        endTime.tag = 1000 + index;
        [self.endTime addSubview:endTime];
        
    }
    
    [self.endTime setContentSize:CGSizeMake(frame.size.width/2,40*26)];
    
}


//4、已经结束拖拽，手指刚离开view的那一刻
-(void)scrollViewDidEndDragging:(UIScrollView *)scrollView willDecelerate:(BOOL)decelerate{
    
    
    if(!decelerate){
        int  pointY=scrollView.contentOffset.y;
        CGFloat f =  pointY %40;
        int s = pointY/40;
        int s1 = s;
        if(f>20){
            s1 = s+1;
            NSLog(@"%d",s1*40);
            [scrollView setContentOffset:CGPointMake(0, s1*40) animated:YES];
        }else{
            s1 = s;
            NSLog(@"%d",s1*40);
            [scrollView setContentOffset:CGPointMake(0, s1*40) animated:YES];
        }
        
        //int  pointY1 = scrollView.contentOffset.y;
        //int s1 = pointY1/40;
        
        if(scrollView == self.startTime){
            UILabel * textLabel = [self.startTime viewWithTag:10+s1+1];
            NSLog(@"%@",textLabel.text);
        }else{
            UILabel * textLabel = [self.startTime viewWithTag:1000+s1+1];
            NSLog(@"%@",textLabel.text);
        }
        
        
    }
    
}

//6、view已经停止滚动
-(void)scrollViewDidEndDecelerating:(UIScrollView *)scrollView{
    int pointY=scrollView.contentOffset.y;
    CGFloat f =  pointY %40;
    int s = pointY/40;
    int s1;
    if(f>20){
        s1 = s+1;
        NSLog(@"%d",s1*40);
        [scrollView setContentOffset:CGPointMake(0, s1*40) animated:YES];
        
    }else{
        s1 = s;
        NSLog(@"%d",s1*40);
        [scrollView setContentOffset:CGPointMake(0, s1*40) animated:YES];
    }
    
    if(scrollView == self.startTime){
        UILabel * textLabel = [self.startTime viewWithTag:10+s1+1];
        NSLog(@"%@",textLabel.text);
    }else{
        UILabel * textLabel = [self.startTime viewWithTag:1000+s1+1];
        NSLog(@"%@",textLabel.text);
    }

}


@end
